[Forgot Password]
Login  Register Subscribe

23631

 
 

115083

 
 

97147

 
 

909

 
 

78764

 
 

109

Paid content will be excluded from the download.


Download | Alert*
OVAL

Denial of service vulnerability in t1_lib.c in OpenSSL

ID: oval:org.secpod.oval:def:20880Date: (C)2014-08-25   (M)2017-08-29
Class: VULNERABILITYFamily: windows




The host is installed with OpenSSL 1.0.0 before 1.0.0n or 1.0.1 before 1.0.1i and is prone to denial of service vulnerability. The flaw is present in the ssl_parse_serverhello_tlsext function in t1_lib.c in OpenSSL, which fails to handle race condition in the ssl_parse_serverhello_tlsext function. Successful exploitation allows remote SSL servers to cause a denial of service (memory overwrite and client application crash).

Platform:
Microsoft Windows 2000
Microsoft Windows 7
Microsoft Windows Server 2003
Microsoft Windows Server 2008
Microsoft Windows Vista
Microsoft Windows XP
Microsoft Windows 8
Microsoft Windows Server 2008 R2
Microsoft Windows Server 2012
Microsoft Windows 8.1
Microsoft Windows Server 2012 R2
Microsoft Windows 10
Product:
OpenSSL
Reference:
CVE-2014-3509
CVE    1
CVE-2014-3509
CPE    37
cpe:/a:openssl:openssl:1.0.0::x64
cpe:/a:openssl:openssl:1.0.0::x86
cpe:/a:openssl:openssl:1.0.1::x64
cpe:/a:openssl:openssl:1.0.1::x86
...

© 2013 SecPod Technologies